org.appng.api.support

## Class ConfigValidator

- java.lang.Object
- - org.appng.api.support.ConfigValidator

-     public class ConfigValidator
      extends Object

  Validates a `ApplicationConfigProvider`, which means it checks that each reference to a
  - page
  - datasource
  - event
  - action
  - parameter
  is valid.
  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigValidator(ApplicationConfigProvider provider)`
    `ConfigValidator(ApplicationConfigProvider provider, boolean throwException, boolean clearErrors)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ConfigValidationError>` | `getDetaildErrors()`
    `Set<String>` | `getErrors()`
    `Set<String>` | `getWarnings()`
    `void` | `processErrors(String applicationName)`
    `void` | `setWithDetailedErrors(boolean withDetails)`
    `void` | `validate(String applicationName)`
    `void` | `validate(String applicationName, ClassLoader classLoader)`
    `void` | `validateActions()`
    `void` | `validateDataSources(ClassLoader classLoader)`
    `void` | `validateMetaData(URLClassLoader classLoader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigValidator

          public ConfigValidator(ApplicationConfigProvider provider,
                                 boolean throwException,
                                 boolean clearErrors)

    - #### ConfigValidator

          public ConfigValidator(ApplicationConfigProvider provider)

  - ### Method Detail

    - #### validate

          public void validate(String applicationName)
                        throws InvalidConfigurationException

      Throws:
        `InvalidConfigurationException`

    - #### validate

          public void validate(String applicationName,
                               ClassLoader classLoader)
                        throws InvalidConfigurationException

      Throws:
        `InvalidConfigurationException`

    - #### setWithDetailedErrors

          public void setWithDetailedErrors(boolean withDetails)

    - #### processErrors

          public final void processErrors(String applicationName)
                                   throws InvalidConfigurationException

      Throws:
        `InvalidConfigurationException`

    - #### validateDataSources

          public void validateDataSources(ClassLoader classLoader)

    - #### validateActions

          public void validateActions()

    - #### validateMetaData

          public void validateMetaData(URLClassLoader classLoader)

    - #### getErrors

          public Set<String> getErrors()

    - #### getDetaildErrors

          public List<ConfigValidationError> getDetaildErrors()

    - #### getWarnings

          public Set<String> getWarnings()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.